Bug 1247891 - Properties from javax.ws.rs.core.Application.getProperties are not registered
Summary: Properties from javax.ws.rs.core.Application.getProperties are not registered
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Fedor Gavrilov
QA Contact: Katerina Odabasi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-29 07:49 UTC by Panagiotis Sotiropoulos
Modified: 2016-07-13 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-21 10:21:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-1737 0 Critical Closed Properties from javax.ws.rs.core.Application.getProperties are not registered 2016-07-25 14:14:13 UTC
Red Hat Issue Tracker RESTEASY-1172 0 Critical Closed Properties from javax.ws.rs.core.Application.getProperties are not registered 2016-07-25 14:14:13 UTC

Description Panagiotis Sotiropoulos 2015-07-29 07:49:39 UTC
Properties from javax.ws.rs.core.Application.getProperties are not registered by ResteasyProviderFactory.
ResteasyDeployment.processApplication() seems to only care about Application.getClasses() and Application.getSingletons() not Application.getProperties()

Comment 1 JBoss JIRA Server 2015-08-21 20:27:56 UTC
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira RESTEASY-1172 to Resolved

Comment 2 JBoss JIRA Server 2015-10-28 11:07:34 UTC
Enrique González Martínez <elguardian@gmail.com> updated the status of jira RESTEASY-1172 to Reopened

Comment 3 Katerina Odabasi 2015-11-03 10:30:46 UTC
I have created https://issues.jboss.org/browse/JBEAP-1737 jira issue, because this impacts EAP 7 (containing Resteasy 3.x) and we track all EAP7 issues in JIRA now.

Comment 4 JBoss JIRA Server 2015-11-13 15:59:33 UTC
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira RESTEASY-1172 to Resolved

Comment 5 JBoss JIRA Server 2016-01-06 01:11:59 UTC
Ron Sigal <ron.sigal@jboss.com> updated the status of jira JBEAP-1737 to Closed

Comment 6 JBoss JIRA Server 2016-01-06 01:12:57 UTC
Ron Sigal <ron.sigal@jboss.com> updated the status of jira JBEAP-1737 to Reopened

Comment 7 JBoss JIRA Server 2016-01-15 12:41:53 UTC
Katerina Novotna <kanovotn@redhat.com> updated the status of jira JBEAP-1737 to Closed

Comment 8 JBoss JIRA Server 2016-01-15 12:42:13 UTC
Katerina Novotna <kanovotn@redhat.com> updated the status of jira JBEAP-1737 to Reopened

Comment 9 JBoss JIRA Server 2016-01-15 12:42:28 UTC
Katerina Novotna <kanovotn@redhat.com> updated the status of jira JBEAP-1737 to Resolved

Comment 11 JBoss JIRA Server 2016-07-09 20:11:36 UTC
Nicolas NESMON <nicolas.nesmon@gmail.com> updated the status of jira RESTEASY-1172 to Reopened

Comment 12 JBoss JIRA Server 2016-07-11 09:35:42 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira RESTEASY-1172 to Closed

Comment 13 JBoss JIRA Server 2016-07-13 16:41:34 UTC
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-1737 to Closed


Note You need to log in before you can comment on or make changes to this bug.